from bundlewrap.metadata import atomic

defaults = {
    'apt': {
        'packages': {
            'jellyfin': {},
        },
        'repos': {
            'jellyfin': {
                'uris': {
                    'https://repo.jellyfin.org/{os}'
                },
            },
        },
    },
    'icinga2_api': {
        'transmission': {
            'services': {
                'JELLYFIN PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C jellyfin -c 1:',
                },
            },
        },
    },
}


@metadata_reactor.provides(
    'firewall/port_rules',
)
def firewall(metadata):
    return {
        'firewall': {
            'port_rules': {
                '8096': atomic(metadata.get('jellyfin/restrict-to', {'*'})),
            },
        },
    }
